# $Revision: 1.5 $, $Date: 2008/07/27 22:29:09 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	HPLOO
Summary:	Declare classes basing on the popular class {...} style and ePod
Summary(pl.UTF-8):	Deklarowanie klas opartych na popularnym stylu klas {...} i ePod
Name:		perl-Class-HPLOO
Version:	0.23
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	430ba4c8cac1091196797daa82d3f3fb
URL:		http://search.cpan.org/dist/Class-HPLOO/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the implemantation of OO-Classes for HPL. This brings an easy
way to create PM classes, but with HPL resources/style.

%description -l pl.UTF-8
To jest implementacja klas zorientowanych obiektowo (OO-Classes) dla
HPL-a. Udostępnia łatwy sposób tworzenia klas PM, ale w stylu zasobów
HPL.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc Changes README
%{perl_vendorlib}/Class/*.pm
%{perl_vendorlib}/Class/HPLOO
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-HPLOO.spec,v $
Revision 1.5  2008/07/27 22:29:09  arekm
- release 2

Revision 1.4  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/06/03 22:44:33  qboosh
- pl, fixed Source URL

Revision 1.1  2006/05/31 17:40:57  radek
- new
